love.window.setMode(800, 800)

shader=love.graphics.newShader("defalt.vert")

local fov=math.rad(45)
local proj={
    {1/(1*math.tan(fov/2)), 0, 0},
    {0, 1/math.tan(fov/2), 0, 0},
    {0, 0, -(1000+0.1)/(1000-0.1), -(2*1000*0.1)/(1000-0.1)},
    {0, 0, -1, 0}
}
local model={
    {1, 0, 0, 0},
    {0, 1, 0, 0},
    {0, 0, 1, 0},
    {0, 0, 0, 1}
}
local view={
    {1, 0, 0, 0},
    {0, 1, 0, 0},
    {0, 0, 1, 0},
    {0, 0, 0, 1}
}

local format={
    {"VertexPosition", "float", 3},
    {"VertexTexCoord", "float", 2},
    --{"VertexNormal", "float", 3},
    --{"VertexColor", "byte", 4},
}

local vertex={
    {-0.5, 0.0,  0.5,    0.0, 0.0},
    {-0.5, 0.0, -0.5, 	 5.0, 0.0},
	{0.5, 0.0, -0.5,     0.0, 0.0},

    {-0.5, 0.0,  0.5,    0.0, 0.0},
    {0.5, 0.0, -0.5,     0.0, 0.0},
	{0.5, 0.0,  0.5,     5.0, 0.0},

    {-0.5, 0.0,  0.5,    0.0, 0.0},
    {-0.5, 0.0, -0.5, 	 5.0, 0.0},
    {0.0, 0.8,  0.0,     2.5, 5.0},

    {-0.5, 0.0, -0.5, 	 5.0, 0.0},
    {0.5, 0.0, -0.5,     0.0, 0.0},
    {0.0, 0.8,  0.0,     2.5, 5.0},

    {0.5, 0.0, -0.5,     0.0, 0.0},
	{0.5, 0.0,  0.5,     5.0, 0.0},
	{0.0, 0.8,  0.0,     2.5, 5.0},

    {0.5, 0.0,  0.5,     5.0, 0.0},
    {-0.5, 0.0,  0.5,    0.0, 0.0},
    {0.0, 0.8,  0.0,     2.5, 5.0}
}

local mesh=love.graphics.newMesh(format, vertex, "triangles");
local brick=love.graphics.newImage("brick.png")
mesh:setTexture(brick);

function love.draw()
    love.graphics.setShader(shader)
    shader:send("proj", proj)
    shader:send("model", model)
    shader:send("view", view)
    love.graphics.draw(mesh)
    love.graphics.setShader();
end

function love.update(dt)
    --
end